SSCOP(1)

NAME
sscop - SSCOP transport protocol

SYNOPSIS
sscop [-Fbefhirwx3] [-V X] [-W N] [-a p=v] [-l N] [-t t=m] [-v X]

DESCRIPTION
The sscop tool implements the Q.2110 transport protocol. Normally the program reads from standard input and sends this input over the SSCOP protocol on the standard output file descriptor. This means, that the standard output file descriptor should be connected in read-write mode. The program takes the following arguments:

-F  Use frameing on the SSCOP connection (see the -f option).

-V X
    Set the verbose flag to the hex value X.

-W N
    Set the initial SSCOP window to N.

-a p=v
    Set SSCOP parameter p to the value v. The following parameters may be set:

    j=N Set the maximum SSCOP-UU data size to N octets.

    k=N Set the maximum SSCOP SDU data size to N octets.

    cc=N
        Set the parameter MaxCC (maximum number of connection control message re-transmissions) to the value N.

    pd=N
        Set the parameter MaxPD (maximum acceptable number of outstanding unacknowledged SD PDUs before sending a POLL) to the value N.

    stat=N
        Set the parameter MaxSTAT (maximum number of elements placed in a STAT PDU) to the value N.

-b  Enable the ATM-Forum SSCOP robustness enhancement.

-e  Exit when there is an end of file condition on the input file or the SSCOP indicates a release confirmation.

-f  Use the framing protocol for communication over the SSCOP link. See frame(l) (libbegemot) for framing.

-h  Print a short help information and exit.

-i  Try not to read from the user input file descriptor. Assume that we a receiving only.

-l N
    Loose every Nth message. This is used for testing.

-r  Revert user and SSCOP file descriptors. That means, that user input and output is done on standard output and SSCOP input and output on standard input.

-t t=m
    Set SSCOP timer t to m milliseconds. The following timers may be set:

    cc=m
        Set the connection control timer to m. This timer controls the retransmission of connection control messages.

    poll=m
        Set the poll timer to m. This timer controls the transmission of POLL messages.

    ka=m
        Set the keep-alive timer to m. This timer controls the maximum length of the transient phase.

    nr=m
        Set the no-response timer to m. This timer controls the maximum time between two received STAT PDUs before the connection is aborted.

    idle=m
        Set the idle timer to m. This timer controls the length of the idle phase.

-v X
    Set the SSCOP library verbose flag to the hex value.

-w  Don't start the SSCOP protocol. Wait for a establish indication from the remote side.

-x  Enable to POLL after retransmission flag.

-3  Send user output to file descriptor 3.

EXAMPLES
The following command line sends the file Makefile over a pipe (this depends on the feature that pipes are bi-directional):

    cat Makefile | sscop -reF | sscop -weF

SEE ALSO
libunimsg(3)

STANDARDS
The implemented protocol conforms to ITU-T recommendation Q.2110.

AUTHORS
Hartmut Brandt <harti@FreeBSD.org>